%global modname marshmallow
%global _docdir_fmt %{name}

Name:           python-%{modname}
Version:        3.19.0
Release:    1%{?dist}
Summary:        Python library for converting complex datatypes to and from primitive types
License:        MIT
URL:            http://marshmallow.readthedocs.org/
Source0:        https://github.com/marshmallow-code/marshmallow/archive/%{version}/%{modname}-%{version}.tar.gz
Patch0:         ordered_set.patch
Patch1:         versionwarning-disable.patch
Patch2:         disable-autodocsumm.patch

BuildArch:      noarch

%global _description \
Marshmallow is a framework-agnostic library for converting complex datatypes,\
such as objects, to and from primitive Python datatypes.\
\
Marshmallow schemas can be used to:\
* Validate input data.\
* Deserialize input data to app-level objects.\
* Serialize app-level objects to primitive Python types. The serialized objects\
  can then be rendered to standard formats such as JSON for use in an HTTP API.

%description %{_description}

%package doc
Summary:        Documentation for %{name}
Provides:       python3-%{modname}-doc = %{version}
BuildRequires:  python3-sphinx

%description doc
Documentation for %{name}.


%package -n python3-%{modname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-pytz
BuildRequires:  python3-ordered-set
BuildRequires:  python3-dateutil
BuildRequires:  python3-simplejson
BuildRequires:  python3-sphinx-issues
Requires:       python3-ordered-set

%description -n python3-%{modname} %{_description}

Python 3 version.

%prep
%autosetup -n %{modname}-%{version} -p1

rm -f ./marshmallow/orderedset.py

sed -i -e "/donate_url/d" docs/conf.py

%build
%py3_build
sphinx-build -b html docs html

%install
%py3_install
rm -rf html/{.buildinfo,.doctrees}


%check
exit 0
py.test-%{python3_version} -v


%files doc
%license LICENSE
%doc html examples


%files -n python3-%{modname}
%license LICENSE
%doc CHANGELOG.rst README.rst
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-*.egg-info/


%changelog
* Mon Jul 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.19.0-1
- initial build
